Package com.databricks.jdbc.model.client.thrift.generated

## Enum TTypeId

- java.lang.Object
- - java.lang.Enum<TTypeId>
  - - com.databricks.jdbc.model.client.thrift.generated.TTypeId

All Implemented Interfaces:
  `Serializable`, `Comparable<TTypeId>`, `org.apache.thrift.TEnum`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-10-09")
    public enum TTypeId
    extends Enum<TTypeId>
    implements org.apache.thrift.TEnum

### Enum Constant Summary

Enum Constants
`ARRAY_TYPE`
`BIGINT_TYPE`
`BINARY_TYPE`
`BOOLEAN_TYPE`
`CHAR_TYPE`
`DATE_TYPE`
`DECIMAL_TYPE`
`DOUBLE_TYPE`
`FLOAT_TYPE`
`INT_TYPE`
`INTERVAL_DAY_TIME_TYPE`
`INTERVAL_YEAR_MONTH_TYPE`
`MAP_TYPE`
`NULL_TYPE`
`SMALLINT_TYPE`
`STRING_TYPE`
`STRUCT_TYPE`
`TIMESTAMP_TYPE`
`TINYINT_TYPE`
`UNION_TYPE`
`USER_DEFINED_TYPE`
`VARCHAR_TYPE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TTypeId` `findByValue​(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
`int` `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
`static TTypeId` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TTypeId[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BOOLEAN_TYPE

    public static final TTypeId BOOLEAN_TYPE

#### TINYINT_TYPE

    public static final TTypeId TINYINT_TYPE

#### SMALLINT_TYPE

    public static final TTypeId SMALLINT_TYPE

#### INT_TYPE

    public static final TTypeId INT_TYPE

#### BIGINT_TYPE

    public static final TTypeId BIGINT_TYPE

#### FLOAT_TYPE

    public static final TTypeId FLOAT_TYPE

#### DOUBLE_TYPE

    public static final TTypeId DOUBLE_TYPE

#### STRING_TYPE

    public static final TTypeId STRING_TYPE

#### TIMESTAMP_TYPE

    public static final TTypeId TIMESTAMP_TYPE

#### BINARY_TYPE

    public static final TTypeId BINARY_TYPE

#### ARRAY_TYPE

    public static final TTypeId ARRAY_TYPE

#### MAP_TYPE

    public static final TTypeId MAP_TYPE

#### STRUCT_TYPE

    public static final TTypeId STRUCT_TYPE

#### UNION_TYPE

    public static final TTypeId UNION_TYPE

#### USER_DEFINED_TYPE

    public static final TTypeId USER_DEFINED_TYPE

#### DECIMAL_TYPE

    public static final TTypeId DECIMAL_TYPE

#### NULL_TYPE

    public static final TTypeId NULL_TYPE

#### DATE_TYPE

    public static final TTypeId DATE_TYPE

#### VARCHAR_TYPE

    public static final TTypeId VARCHAR_TYPE

#### CHAR_TYPE

    public static final TTypeId CHAR_TYPE

#### INTERVAL_YEAR_MONTH_TYPE

    public static final TTypeId INTERVAL_YEAR_MONTH_TYPE

#### INTERVAL_DAY_TIME_TYPE

    public static final TTypeId INTERVAL_DAY_TIME_TYPE

### Method Detail

#### values

    public static TTypeId[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TTypeId c : TTypeId.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TTypeId valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()

Get the integer value of this enum value, as defined in the Thrift IDL.

Specified by:
  `getValue` in interface `org.apache.thrift.TEnum`

#### findByValue

    public static TTypeId findByValue​(int value)

Find a the enum type by its integer value, as defined in the Thrift IDL.

Returns:
  null if the value is not found.